# dropdownbox.h File Reference

`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/ui/widget.h>`
`#include <gwenhywfar/stringlist.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Defines

#define | GWEN_DROPDOWNBOX_FLAGS_EDIT 0x00010000

## Functions

int | GWEN_DropDownBox_AddChoice (GWEN_WIDGET *w, const char *s)
GWEN_BUFFER * | GWEN_DropDownBox_GetText (const GWEN_WIDGET *w, int asAscii)
GWEN_WIDGET * | GWEN_DropDownBox_new (GWEN_WIDGET *parent, GWEN_TYPE_UINT32 flags, const char *name, int x, int y, int width, int height, const GWEN_STRINGLIST *sl)

## Define Documentation

#define GWEN_DROPDOWNBOX_FLAGS_EDIT 0x00010000

## Function Documentation

int GWEN_DropDownBox_AddChoice | ( | GWEN_WIDGET * | w,
|  | const char * | s
| ) |

GWEN_BUFFER* GWEN_DropDownBox_GetText | ( | const GWEN_WIDGET * | w,
|  | int | asAscii
| ) |

GWEN_WIDGET* GWEN_DropDownBox_new | ( | GWEN_WIDGET * | parent,
|  | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | const GWEN_STRINGLIST * | sl
| ) |